## org.springframework.test.annotation
Class SystemProfileValueSource

    java.lang.Object
      org.springframework.test.annotation.SystemProfileValueSource

All Implemented Interfaces:
  ProfileValueSource

    public class SystemProfileValueSource

extends Object
implements ProfileValueSource

Implementation of `ProfileValueSource` which uses system properties as the underlying source.

Since:
  2.0
Author:
  Rod Johnson, Sam Brannen

Method Summary
`String` `get(String key)` Get the profile value indicated by the specified key from the system properties.
`static SystemProfileValueSource` `getInstance()` Obtain the canonical instance of this ProfileValueSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static final SystemProfileValueSource getInstance()

  Obtain the canonical instance of this ProfileValueSource.

### get

    public String get(String key)

  Get the profile value indicated by the specified key from the system properties.

  Specified by:
    `get` in interface `ProfileValueSource`
  Parameters:
    `key` - the name of the profile value
  Returns:
    the String value of the profile value, or `null` if there is no profile value with that key
  See Also:
    `System.getProperty(String)`